Summary:	XSL stylesheets for the Yelp help browser
Summary(pl.UTF-8):	Arkusze styli XSL dla przeglądarki pomocy Yelp
Name:		yelp-xsl
Version:	42.1
Release:	1
# depending on part, see COPYING
License:	GPL v2+, LGPL v2+, MIT (see COPYING)
Group:		Libraries
Source0:	https://download.gnome.org/sources/yelp-xsl/42/%{name}-%{version}.tar.xz
# Source0-md5:	c41858c78e34bb8b68a535657a3e15d9
URL:		https://wiki.gnome.org/Apps/Yelp
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.11.2
BuildRequires:	gettext-tools >= 0.19.4
BuildRequires:	itstool >= 1.2.0
BuildRequires:	libxml2-progs >= 1:2.6.12
BuildRequires:	libxslt-progs >= 1.1.8
BuildRequires:	pkgconfig
BuildRequires:	python3-ducktype
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
yelp-xsl is a collection of programs and data files to help you build,
maintain, and distribute documentation. It provides XSLT stylesheets
that can be built upon for help viewers and publishing systems. These
stylesheets output JavaScript and CSS content, and reference images
provided by yelp-xsl. This package also redistributes copies of the
jQuery and jQuery.Syntax JavaScript libraries.

%description -l pl.UTF-8
yelp-xsl to zbiór plików programów i danych pomocnych przy budowaniu,
utrzymywaniu i dystrybucji dokumentacji. Zawiera arkusze styli XSLT,
w oparciu o które można zbudować przeglądarki pomocy i systemy
publikowania. Wyjściem arkuszy jest treść w JavaScripcie i CSS oraz
obrazki referencyjne zawarte w pakiecie. Pakiet zawiera także kopie
bibliotek JavaScriptu jQuery i jQuery.Syntax.

%prep
%setup -q

%build
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
%if "%{_host_cpu}" != "x32"
	--host=%{_host} \
	--build=%{_host} \
%endif
	--enable-doc
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README.md
%{_datadir}/yelp-xsl
%{_npkgconfigdir}/yelp-xsl.pc
%changelog
* Thu Sep 22 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/yelp-xsl.git;a=log;h=master

* Thu Sep 22 2022 Jakub Bogusz <qboosh@pld-linux.org> 7768e21
- updated to 42.1

* Mon Apr 04 2022 Jakub Bogusz <qboosh@pld-linux.org> 6abe534
- updated to 42.0

* Sat Dec 04 2021 Jakub Bogusz <qboosh@pld-linux.org> 1d6289f
- updated to 41.1

* Sun Sep 19 2021 Jakub Bogusz <qboosh@pld-linux.org> d8c5964
- updated to 41.0

* Tue Jun 08 2021 Jakub Bogusz <qboosh@pld-linux.org> cfdf975
- updated to 40.2

* Mon Apr 05 2021 Jakub Bogusz <qboosh@pld-linux.org> 5d22e64
- updated to 40.0

* Sun Feb 14 2021 Jakub Bogusz <qboosh@pld-linux.org> 362f621
- updated to 3.38.3

* Sun Nov 22 2020 Jakub Bogusz <qboosh@pld-linux.org> 6068201
- updated to 3.38.2

* Sun Oct 04 2020 Jakub Bogusz <qboosh@pld-linux.org> fde3b6c
- updated to 3.38.1

* Sun Sep 13 2020 Jakub Bogusz <qboosh@pld-linux.org> 7fe9e1d
- updated to 3.38.0

* Sun Apr 12 2020 Jakub Bogusz <qboosh@pld-linux.org> 6e02308
- updated to 3.36.0

* Sat Nov 23 2019 Jakub Bogusz <qboosh@pld-linux.org> 2ec9d8c
- updated to 3.34.2

* Thu Sep 12 2019 Jakub Bogusz <qboosh@pld-linux.org> 27041ea
- updated to 3.34.0

* Sat Apr 20 2019 Jakub Bogusz <qboosh@pld-linux.org> 49fa1a8
- updated to 3.32.1, updated description

* Sat Oct 06 2018 Jakub Bogusz <qboosh@pld-linux.org> d9fa89f
- updated to 3.30.1

* Mon Mar 12 2018 Marcin Banasiak <marcin.banasiak@gmail.com> c5b34a3
- Update to 3.28.0

* Mon Apr 11 2016 Marcin Banasiak <marcin.banasiak@gmail.com> e789354
- Update to 3.20.1

* Mon Mar 21 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 86ede84
- Update to 3.20.0

* Tue Oct 06 2015 Jakub Bogusz <qboosh@pld-linux.org> 7ba177f
- updated to 3.18.1

* Mon Sep 21 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 96136b9
- Update to 3.18.0

